//
//  ControlDelegate.h
//  PixelKit
//
//  Created by Cesar Parent on 18/01/2015.
//  Copyright (c) 2015 Cesar Parent. All rights reserved.
//

#ifndef __PixelKit__ControlDelegate__
#define __PixelKit__ControlDelegate__

#include "includes.h"

namespace PixelKit
{
	class ControlDelegate
	{
	public:
		virtual void controllerDidConnect(int controllerID) = 0;
		virtual void controllerDidDisconnect(int controllerID) = 0;
		virtual void controllerButtonPressBegan(int controller, SDL_GameControllerButton button) = 0;
		virtual void controllerButtonPressEnded(int controller, SDL_GameControllerButton event) = 0;
		virtual void controllerAxisMoved(int controller, SDL_GameControllerAxis, Sint16 value) = 0;
		virtual void keyboardPressBegan(SDL_Scancode key) = 0;
		virtual void keyboardPressEnded(SDL_Scancode key) = 0;
	};
}

#endif /* defined(__PixelKit__ControlDelegate__) */
